Subject: Re: [RFC PATCH] powerpc/mm: Return NULL for not present hugetlb page

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Thu, 07 May 2015 16:26:53 +0530

Benjamin Herrenschmidt <[email-masked]> writes:

> On Thu, 2015-05-07 at 12:46 +0530, Aneesh Kumar K.V wrote:
>> We need to check whether pte is present in follow_huge_addr and
>> properly return NULL if mapping is not present. Also use READ_ONCE
>> when dereferencing pte_t address.
>
> Do that need to go to stable as well ?

Yes. I will like David to take a look at this and give his feedback.
W.r.t patch itself I hit a build failure on mpc85xx_smp_defconfig. I will
resent after the test build finish on all configs

-aneesh